### Function

# FwupdPlugin input_stream_read_safe

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_input_stream_read_safe (
      GInputStream* stream,
      guint8* buf,
      gsize bufsz,
      gsize offset,
      gsize seek_set,
      gsize count,
      GError** error
    )

#### Description [src]

Tries to read count bytes from the stream into the buffer starting at `buf`.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream` `buf` (not nullable): a buffer to read data into.

  The data is owned by the caller of the function.

`buf`

  Type: `guint8*`

  No description available.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`offset`

  Type: `gsize`

  Offset in bytes into `buf` to copy from.

`seek_set`

  Type: `gsize`

  Given offset to seek to.

`count`

  Type: `gsize`

  The number of bytes that will be read from the stream.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.